import React, { Component } from 'react';
import { Container, Row, Col } from "react-bootstrap";
import { makeStyles, createMuiTheme, MuiThemeProvider } from '@material-ui/core/styles';
import { TextField } from '@material-ui/core';
import MenuItem from '@material-ui/core/MenuItem';
import Perusahaan from "./Perusahaan";
import TreeView from '@material-ui/lab/TreeView';
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';
import ChevronRightIcon from '@material-ui/icons/ChevronRight';
import TreeItem from '@material-ui/lab/TreeItem';



export default class VisualPerusahaan extends Component {
    constructor(props) {
        super(props)
        this.state = {
        }
    }

    componentDidMount() {
        console.log(this.props.height)
    }

    render() {

        return (
            <div>    
                <div style={{ height: this.props.height }}>
                    <div style={{ width: '100%', backgroundColor: '#354960' }} />
                        <div>
                            <div style={{ display: 'flex', flexDirection: 'row', justifyContent: 'space-between', paddingRight: 25, paddingLeft: 25, marginTop: -150 }}>
                                <label style={{ color: 'white', width: '20%', fontSize: 16, paddingTop: 8 }}>Hirarki Perusahaan</label>
                            </div>
                            <div style={{ padding: 25, width: '100%' }}>
                                <div style={{ width: '100%', padding: 25, backgroundColor: 'white', borderRadius: 6, border: 'solid 1px #c4c4c4'}}>
                                    <TreeView
                                        defaultCollapseIcon={<ExpandMoreIcon />}
                                        defaultExpandIcon={<ChevronRightIcon />}
                                        >
                                        <TreeItem nodeId="1" label="Triputra Investindo Arya">
                                            <TreeItem nodeId="2" label="TAP Group" >
                                                <TreeItem nodeId="3" label="Gawi Bandep Sawit" />
                                                <TreeItem nodeId="4" label="Etam Buana Lestari" />
                                            </TreeItem>

                                            <TreeItem nodeId="11" label="Puninar Group">
                                                <TreeItem nodeId="21" label="TAP Group" >
                                                    <TreeItem nodeId="31" label="Gawi Bandep Sawit" />
                                                    <TreeItem nodeId="41" label="Etam Buana Lestari" />
                                                </TreeItem>
                                            </TreeItem>

                                            <TreeItem nodeId="12" label="Daya Group">
                                                <TreeItem nodeId="22" label="TAP Group" >
                                                    <TreeItem nodeId="32" label="Gawi Bandep Sawit" />
                                                    <TreeItem nodeId="42" label="Etam Buana Lestari" />
                                                </TreeItem>
                                            </TreeItem>
                                        </TreeItem>                                        
                                        
                                        <TreeItem nodeId="5" label="Documents">
                                            <TreeItem nodeId="10" label="OSS" />
                                            <TreeItem nodeId="6" label="Material-UI">
                                            <TreeItem nodeId="7" label="src">
                                                <TreeItem nodeId="8" label="index.js" />
                                                <TreeItem nodeId="9" label="tree-view.js" />
                                            </TreeItem>
                                            </TreeItem>
                                        </TreeItem>
                                    </TreeView>
                                </div>
                            </div>
                            <div className="row" style={{ display: 'flex', flexDirection: 'row', justifyContent: 'space-between', paddingRight: 15, paddingLeft: 15, paddingBottom: 25 }}>
                                <div onClick={() => this.props.onClickClose()} style={{ width: 102, height: 30, marginLeft: 25, backgroundColor: 'dodgerblue', borderRadius: 5, alignItems: 'center', display: 'flex', justifyContent: 'center', cursor:"pointer" }}>
                                    <span style={{ color: '#fff', fontSize: 11 }}>Kembali</span>
                                </div>
                                <div className="row" style={{ float: 'right', marginRight: 25 }}>
                                    <div onClick={() => this.props.onClickClose()} style={{ width: 102, height: 30, border: 'solid 1px #354960', borderRadius: 5, alignItems: 'center', display: 'flex', justifyContent: 'center', cursor:"pointer" }}>
                                        <span style={{ color: '#354960', fontSize: 11 }} >Batal</span>
                                    </div>
                                    <div style={{ width: 102, height: 30, marginLeft: 25, backgroundColor: '#354960', borderRadius: 5, alignItems: 'center', display: 'flex', justifyContent: 'center', cursor:"pointer" }}>
                                        <span style={{ color: '#fff', fontSize: 11 }}>Simpan</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            </div>
            
        );
    }
}
