import screen404 from '../container/Screen404'
import UserRole from '../container/Otorisasi/UserRole'
import User from '../container/Otorisasi/User'
import ApprovalMatrix from '../container/ApprovalMatrix/ApprovalMatrix'
import HomePage from '../container/HomePage';
import BalanceSheet from '../container/BudgetTahunan/BalanceSheet';
import Profile from '../container/Profile';
import Perusahaan from '../container/MasterData/Perusahaan/Perusahaan';
import UnitBisnis from '../container/MasterData/UnitBisnis'
import Parameter from '../container/MasterData/Parameter/Parameter'
import ReportItems from '../container/MasterData/ReportItems'
import DashboardCAT from '../container/Laporan/DashboardCAT'

const routes = [
  {
    path: "/home/beranda",
    main: HomePage
  },
  {
    path: "/home/userrole",
    main: UserRole
  },
  {
    path: "/home/approval-matrix",
    main: ApprovalMatrix
  },
  {
    path: "/home/report-items",
    main: ReportItems
  },
  {
    path: "/home/budget-tahunan",
    main: BalanceSheet
  },
  {
    path: "/home/profile",
    main: Profile
  },
  {
    path: "/home/perusahaan",
    main: Perusahaan
  },
  {
    path: "/home/user",
    main: User
  },
  {
    path: "/home/unit-bisnis",
    main: UnitBisnis
  },
  {
    path: "/home/parameter",
    main: Parameter
  },
  {
    path: "/home/dashboard-cat",
    main: DashboardCAT
  },
  {
    path: "/home/profile",
    main: Profile
  },
  {
    path: "*",
    main: screen404
  }
];

export default routes;